audio/libwildmidi - The NetBSD Packages Collection

Midi processing library and a midi player using the GUS patch set

WildMIDI is a simple software midi player which has a core softsynth
library that can be use with other applications.

The WildMIDI library uses Gravis Ultrasound patch files to convert
MIDI files into audio which is them passed back to the calling
application for further processing or output. The API of the library
is designed so that it is easy to include WildMIDI into applications
that wish to include MIDI file playback. With multiple MIDI file support
you can develope applications to mix several midi files together at the
same time and with the next release you will be able to use a different
patch set for each MIDI file.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 8.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 8.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 8.0i386libwildmidi-0.4.3.tgz
NetBSD 8.0i386libwildmidi-0.4.3.tgz
NetBSD 8.0powerpclibwildmidi-0.4.3.tgz
NetBSD 8.0powerpclibwildmidi-0.4.3.tgz
NetBSD 8.0powerpclibwildmidi-0.4.3.tgz
NetBSD 8.0x86_64libwildmidi-0.4.3.tgz
NetBSD 8.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0aarch64libwildmidi-0.4.3.tgz
NetBSD 9.0aarch64libwildmidi-0.4.3.tgz
NetBSD 9.0aarch64libwildmidi-0.4.3.tgz
NetBSD 9.0alphalibwildmidi-0.4.3.tgz
NetBSD 9.0alphalibwildmidi-0.4.3.tgz
NetBSD 9.0alphalibwildmidi-0.4.3.tgz
NetBSD 9.0earmlibwildmidi-0.4.3.tgz
NetBSD 9.0earmlibwildmidi-0.4.3.tgz
NetBSD 9.0earmlibwildmidi-0.4.3.tgz
NetBSD 9.0earmv6hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv6hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv6hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv6hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 9.0earmv7hflibwildmidi-0.4.3.tgz
NetBSD 9.0i386libwildmidi-0.4.3.tgz
NetBSD 9.0i386libwildmidi-0.4.3.tgz
NetBSD 9.0mips64eblibwildmidi-0.4.3.tgz
NetBSD 9.0mips64eblibwildmidi-0.4.3.tgz
NetBSD 9.0mips64eblibwildmidi-0.4.3.tgz
NetBSD 9.0powerpclibwildmidi-0.4.3.tgz
NetBSD 9.0powerpclibwildmidi-0.4.3.tgz
NetBSD 9.0sh3ellibwildmidi-0.4.3.tgz
NetBSD 9.0sh3ellibwildmidi-0.4.3.tgz
NetBSD 9.0sparc64libwildmidi-0.4.3.tgz
NetBSD 9.0sparc64libwildmidi-0.4.3.tgz
NetBSD 9.0sparc64libwildmidi-0.4.3.tgz
NetBSD 9.0sparc64libwildmidi-0.4.3.tgz
NetBSD 9.0sparclibwildmidi-0.4.3.tgz
NetBSD 9.0sparclibwildmidi-0.4.3.tgz
NetBSD 9.0sparclibwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz
NetBSD 9.0x86_64libwildmidi-0.4.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.